POST api/Setting/Upsert
Upserts settings. Inserts if no row exists, updates if one exists. Only one row is stored.
Request Information
URI Parameters
None.
Body Parameters
UpsertSettingsRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| manteinanceMode | boolean |
None. |
|
| allowRegistration | boolean |
None. |
|
| requireKyc | boolean |
None. |
|
| twoFactorAuth | boolean |
None. |
|
| sesionTimeout | integer |
None. |
|
| maxInvestmentAmount | decimal number |
None. |
|
| maxInvestors | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"manteinanceMode": true,
"allowRegistration": true,
"requireKyc": true,
"twoFactorAuth": true,
"sesionTimeout": 5,
"maxInvestmentAmount": 6.0,
"maxInvestors": 7
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.